Show / Hide Table of Contents

# Class Decoder

##### Inheritance

Object
Decoder

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http2.Hpack

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class Decoder

### Constructors

#### Decoder(Int32, Int32)

Initializes a new instance of the Decoder class.

##### Declaration

    public Decoder(int maxHeaderSize, int maxHeaderTableSize)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | maxHeaderSize | Max header size.
Int32 | maxHeaderTableSize | Max header table size.

### Methods

#### Decode(BinaryReader, IHeaderListener)

Decode the header block into header fields.

##### Declaration

    public void Decode(BinaryReader input, IHeaderListener headerListener)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryReader | input | Input.
IHeaderListener | headerListener | Header listener.

#### EndHeaderBlock()

End the current header block. Returns if the header field has been truncated. This must be called after the header block has been completely decoded.

##### Declaration

    public bool EndHeaderBlock()

##### Returns

Type | Description
--- | ---
Boolean | `true`, if header block was ended, `false` otherwise.

#### GetMaxHeaderTableSize()

Return the maximum table size. This is the maximum size allowed by both the encoder and the decoder.

##### Declaration

    public int GetMaxHeaderTableSize()

##### Returns

Type | Description
--- | ---
Int32 | The max header table size.

#### SetMaxHeaderTableSize(Int32)

Set the maximum table size. If this is below the maximum size of the dynamic table used by the encoder, the beginning of the next header block MUST signal this change.

##### Declaration

    public void SetMaxHeaderTableSize(int maxHeaderTableSize)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | maxHeaderTableSize | Max header table size.